
Smart Proxy - Bug #27692

Make free IP ping optional

08/23/2019 01:08 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link: 1744528 Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/678

  

Description

When we have the DHCP capsule server behind a firewall and the requests from port 7 which is used for checking the TCP pingable

on free IP is refused. Satellite considers the IP address is used and it failed to provide the free IP (autosuggest).

Related issues:

Related to Infoblox - Bug #23524: infoblox DHCP gives unreliable free ips. New

Associated revisions

Revision 678a262a - 08/23/2019 01:38 PM - Lukas Zapletal 

Fixes #27692 - ping optional for unused_ip call

History

#1 - 08/23/2019 01:21 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/678 added

#2 - 08/23/2019 01:38 PM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#3 - 08/23/2019 02:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 678a262a4d83a91d45ebd03e1d47a1308400b856.

#4 - 08/30/2019 10:30 AM - Lukas Zapletal

- Related to Bug #23524: infoblox DHCP gives unreliable free ips. added
